# DBus-C++

## Desktop Communication Bus System

libdbus-c-- Documentation 0.9.0

- Files
- Data Structures
- Globals
- Main Page

Public Member Functions | Public Attributes | Private Attributes | Friends | List of all members
DBus::DefaultWatch Class Reference

`#include <eventloop.h>`

Inheritance diagram for DBus::DefaultWatch:

## Public Member Functions

| DefaultWatch (int fd, int flags, DefaultMainLoop *)
virtual | ~DefaultWatch ()
bool | enabled ()
void | enabled (bool e)
int | descriptor ()
int | flags ()
void | flags (int f)
int | state ()
void * | data ()
void | data (void *d)

## Public Attributes

Slot< void, DefaultWatch & > | ready

## Private Attributes

bool | _enabled
int | _fd
int | _flags
int | _state
void * | _data
DefaultMainLoop * | _disp

## Friends

class | DefaultMainLoop

## Detailed Description

Definition at line 110 of file eventloop.h.

## Constructor & Destructor Documentation

## ◆ DefaultWatch()

DefaultWatch::DefaultWatch | ( | int | fd,
|  | int | flags,
|  | DefaultMainLoop * | ed )

Definition at line 64 of file eventloop.cpp.

References _data, _disp, _enabled, _fd, _flags, _state, DefaultMainLoop, and flags().

Referenced by DBus::BusWatch::BusWatch().

## ◆ ~DefaultWatch()

DefaultWatch::~DefaultWatch | ( |  | ) |

virtual

Definition at line 72 of file eventloop.cpp.

References _disp.

## Member Function Documentation

## ◆ data() [1/2]

void * DBus::DefaultWatch::data | ( |  | ) |

inline

Definition at line 146 of file eventloop.h.

References _data.

Referenced by DBus::BusDispatcher::add_watch(), and DBus::BusDispatcher::watch_ready().

## ◆ data() [2/2]

void DBus::DefaultWatch::data | ( | void * | d | ) |

inline

Definition at line 150 of file eventloop.h.

References _data.

## ◆ descriptor()

int DBus::DefaultWatch::descriptor | ( |  | ) |

inline

Definition at line 127 of file eventloop.h.

References _fd.

## ◆ enabled() [1/2]

bool DBus::DefaultWatch::enabled | ( |  | ) |

inline

Definition at line 118 of file eventloop.h.

References _enabled.

Referenced by DBus::BusWatch::BusWatch(), and DBus::BusWatch::toggle().

## ◆ enabled() [2/2]

void DBus::DefaultWatch::enabled | ( | bool | e | ) |

inline

Definition at line 122 of file eventloop.h.

References _enabled.

## ◆ flags() [1/2]

int DBus::DefaultWatch::flags | ( |  | ) |

inline

Definition at line 132 of file eventloop.h.

References _flags.

Referenced by DBus::BusWatch::BusWatch(), and DefaultWatch().

## ◆ flags() [2/2]

void DBus::DefaultWatch::flags | ( | int | f | ) |

inline

Definition at line 136 of file eventloop.h.

References _flags.

## ◆ state()

int DBus::DefaultWatch::state | ( |  | ) |

inline

Definition at line 141 of file eventloop.h.

References _state.

Referenced by DBus::BusDispatcher::watch_ready().

## Friends And Related Symbol Documentation

## ◆ DefaultMainLoop

friend class DefaultMainLoop

friend

Definition at line 169 of file eventloop.h.

References DefaultMainLoop.

Referenced by DefaultMainLoop, and DefaultWatch().

## Member Data Documentation

## ◆ _data

void* DBus::DefaultWatch::_data

private

Definition at line 165 of file eventloop.h.

Referenced by data(), data(), and DefaultWatch().

## ◆ _disp

DefaultMainLoop* DBus::DefaultWatch::_disp

private

Definition at line 167 of file eventloop.h.

Referenced by DefaultWatch(), and ~DefaultWatch().

## ◆ _enabled

bool DBus::DefaultWatch::_enabled

private

Definition at line 159 of file eventloop.h.

Referenced by DefaultWatch(), enabled(), and enabled().

## ◆ _fd

int DBus::DefaultWatch::_fd

private

Definition at line 161 of file eventloop.h.

Referenced by DefaultWatch(), and descriptor().

## ◆ _flags

int DBus::DefaultWatch::_flags

private

Definition at line 162 of file eventloop.h.

Referenced by DefaultWatch(), flags(), and flags().

## ◆ _state

int DBus::DefaultWatch::_state

private

Definition at line 163 of file eventloop.h.

Referenced by DefaultWatch(), and state().

## ◆ ready

Slot<void, DefaultWatch &> DBus::DefaultWatch::ready

Definition at line 155 of file eventloop.h.

Referenced by DBus::BusDispatcher::add_watch().

The documentation for this class was generated from the following files:

- eventloop.h
- eventloop.cpp